=== debian/control ===
Source: ros-r2b2-topic-monitor
Section: misc
Priority: extra
Maintainer: D. Hood <dhood@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-r2b2-ament-flake8, ros-r2b2-rclpy, ros-r2b2-ament-pep257, dh-python, ros-r2b2-ament-python, python3-setuptools, python3-all (>= 3.5), ros-r2b2-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-r2b2-topic-monitor
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-r2b2-launch, ros-r2b2-rclpy, ros-r2b2-ros2run, ros-r2b2-std-msgs, ros-r2b2-ros-workspace
Description: Package containing tools for monitoring ROS 2 topics.
